Page MenuHomePhabricator

Schema heading
Closed, ResolvedPublic3 Story Points

Description

Problem:
Right now it looks like the Schema page has two headings, one saying "Schema:Oxxx" and one with the Label. They should be combined into one like on Item pages. The resulting header is "Label (Oxxx)".

Screenshots:

Acceptance criteria:

  • Only one heading remains with both the Label and the ID.
  • The styling is the same as on Item and Property pages.

Notes:

  • Message when no label is available: "No Label defined"
  • Markup should use semantically correct HTML

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2019, 8:37 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher moved this task from Backlog to Ready to pick up on the Shape Expressions board.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher updated the task description. (Show Details)
Lucas_Werkmeister_WMDE set the point value for this task to 3.Feb 14 2019, 2:10 PM

Change 496219 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Set display title from label and schema ID

https://gerrit.wikimedia.org/r/496219

The above patch changes the heading on the page, which also sets the page title (tab title, browser window title). In Wikibase, those are different – the page title is only the label, or only the entity ID if the label isn’t defined. Do we need to implement this as well? (It gets a bit complicated, unfortunately.)

Also, this doesn’t use language fallbacks yet – should it?

Change 496219 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Set display title from label and schema ID

https://gerrit.wikimedia.org/r/496219

hoo added a subscriber: hoo.

Move back to doing, as per @Lucas_Werkmeister_WMDE's comment.

Michael added a subscriber: Michael.

Moving to verification after talking with @Lydia_Pintscher

Lea_Lacroix_WMDE closed this task as Resolved.Mar 18 2019, 10:05 AM
Lea_Lacroix_WMDE moved this task from Verification to Done on the Shape Expressions Sprint 4 board.
Lea_Lacroix_WMDE added a subscriber: Lea_Lacroix_WMDE.

Such beautiful!